<?php 
global $post;
$link = get_permalink($post->ID); 
$args  = array( 'postid' => $post->ID, 'width' => 620, 'hide_href' => false, 'imglink' => false, 'imgnocontainer' => true, 'resizer' => '620' );
$image = get_obox_media( $args );   
?>

    <div id="post-<?php the_ID(); ?>" <?php post_class('post-content clearfix'); ?>>
        <!--Show the Featured Image or Video -->
        <?php if( $image !="" ) : ?> 
            <div class="post-image">
                <?php echo $image; ?>
            </div>
        <?php endif; ?>
        <!--Show the Title -->
		<h2 class="post-title"><a href="<?php echo $link; ?>"><?php the_title(); ?></a></h2>
        <!--Get the Post Meta -->
        <ul class="<?php if( get_option( "ocmx_meta_block" ) == "false" ) {echo "post-meta";} else {echo "no-meta";} ?>">
        	<?php if( get_option( "ocmx_meta_date" ) != "false" ) : ?>
                <li><strong><?php _e("Date:", "ocmx"); ?></strong> <?php echo the_time( get_option('date_format') ); ?></li>
			<?php endif; ?>
            <?php if( get_option("ocmx_meta_author") !="false") : ?>
                <li><strong><?php _e("Author:", "ocmx"); ?></strong> <?php the_author_posts_link(); ?></li>
			<?php endif; ?>                
            <?php if (is_single()): ?>
                <li><strong><?php _e("Category:", "ocmx"); ?></strong> <?php the_category(", "); ?></li>
            <?php endif; ?>
            <?php if (comments_open() && get_option("ocmx_meta_comments") !="false") : ?>
                <li><strong><?php _e("Comments:", "ocmx"); ?></strong> <a href="<?php echo $link; ?>#comments" class="comment-count"><?php comments_number(__(' No Comments','ocmx'), __(' 1 Comment','ocmx'), __( ' % Comments','ocmx') );?></a></li><?php endif; ?>
            <?php if(has_tag() && get_option("ocmx_meta_tags") !="false") : ?>
                <li><strong><?php _e("Tags:", "ocmx"); ?></strong> <?php the_tags('',', ', ''); ?></li>
            <?php endif; ?>	
            <?php if( get_option("ocmx_meta_social") !="false") : ?>	
                <li class="addthis">
                    <!-- AddThis Button BEGIN: Customize at http://www.addthis.com -->
                    <div class="addthis_toolbox addthis_default_style ">
                        <a class="addthis_button_preferred_1"></a>
                        <a class="addthis_button_preferred_2"></a>
                        <a class="addthis_button_preferred_3"></a>
                        <a class="addthis_button_preferred_4"></a>
                        <a class="addthis_button_compact"></a>
                        <a class="addthis_counter addthis_bubble_style"></a>
                    </div>
                    <script type="text/javascript" src="http://s7.addthis.com/js/300/addthis_widget.js#pubid=xa-5084356e3757029c"></script>
                    <!-- AddThis Button END -->
                </li>
			<?php endif; ?>
        </ul>
        <!--Get the Content -->            
        <div class="copy <?php echo $image_class; ?> <?php if( get_option( "ocmx_meta_block" ) == "true" ) {echo "full-copy";} ?> clearfix">
             <?php the_content(""); ?>
             <?php wp_link_pages(); ?>
        </div>
        <!--Begin Post Nave-->
        <?php if( !is_page() ) : // If this is a page, we won't show the nav ?>                
            <ul class="next-prev-post-nav">
                <li>
                    <?php if (get_adjacent_post(false, '', true)): // if there are older posts ?>
                        &larr;  <?php previous_post_link("%link", "%title"); ?>
                    <?php else : ?>
                        &nbsp;
                    <?php endif; ?>
                </li>
                <li>
                    <?php if (get_adjacent_post(false, '', false)): // if there are newer posts ?>
                        <?php next_post_link("%link", "%title"); ?> &rarr;
                    <?php else : ?>
                        &nbsp;
                    <?php endif; ?>    
                </li>
            </ul>
        <?php endif; ?>
    </div>


