<?php
class ocmx_recent_posts_widget extends WP_Widget {
    /** constructor */
    function ocmx_recent_posts_widget() {
        parent::WP_Widget( false, $name = __("(Obox) Four Column","ocmx"), array( "description" => __("Home Page Widget - Lists posts relating to the selected category.","ocmx") ) );	
    }

    /** @see WP_Widget::widget */
    function widget($args, $instance) {		
        extract( $args );
		$defaults = array( 'post_category' => '', 'post_count' => '', 'show_images' => '', 'show_excerpts' => '', 'show_dates' => ''); 
        $instance = wp_parse_args( (array) $instance, $defaults );
		if(isset($instance["posttype"]))
			$posttype = $instance["posttype"];
		if(isset($instance["post_count"]))
			$post_count = $instance["post_count"];
		if(isset($instance["post_category"]))
			$use_category = $instance["post_category"];
		if(isset($instance["portfolio_category"]))
		    $portfolio_category = $instance["portfolio_category"];
		if(isset($instance["show_images"]))    
			$show_images = $instance["show_images"];
		if(isset($instance["show_excerpts"]))
			$show_excerpts = $instance["show_excerpts"];
		if(isset($instance["excerpt_length"]))
			$excerpt_length = $instance["excerpt_length"];
		if(isset($instance["show_dates"]))
			$show_dates = $instance["show_dates"]; 
		if(isset($instance["post_thumb"]))
			$post_thumb = $instance["post_thumb"];
		if($post_thumb == "true"):
			$post_thumb = 1;
		else :
			$post_thumb = 0;		
		endif;
		$cat_id = "";
		if(isset($instance["portfolio_category"]) && $instance["portfolio_category"] != "0") :
			$cat_id = "portfolio-category=".$portfolio_category."&";
			$term = get_term_by( 'slug', $portfolio_category, 'portfolio-category' );
			$the_cat_title = $term->name;
		elseif($instance["post_category"]) :			
			$use_cat = get_category_by_slug($use_category);
			$catlink = get_category_link($use_cat->term_id);		
			$cat_id = "cat=".$use_cat->term_id."&";
			$the_cat_title = $use_cat->name;
		endif;
		//Set the post Aguments and Query accordingly
		$count = 0;
		$numposts = 0;
		$ocmx_posts = new WP_Query( $cat_id."posts_per_page=".$post_count."&post_type=$posttype" );
		while ($ocmx_posts->have_posts()) : $ocmx_posts->the_post();
			$numposts++;
		endwhile; ?>
		
            <ul class="four-column clearfix">
                <?php while ($ocmx_posts->have_posts()) : $ocmx_posts->the_post();
                    global $post;
                    $link = get_permalink($post->ID);
                    $args  = array( 'postid' => $post->ID, 'width' => 220, 'height' => 124, 'hide_href' => false, 'exclude_video' => $post_thumb, 'imglink' => false, 'imgnocontainer' => true, 'resizer' => '220x124' );
					$image = get_obox_media( $args );
                    if( $show_images != "on" || $image == "" ) : $maxlen = 90; else : $maxlen = 75; endif;  ?>
                    <li>
                    	<div class="post-image fitvid">
                        <?php 
                        	$content = get_the_content();
	                        $contenttext = strip_tags($content);
	                        $excerpt = get_the_excerpt();
	                        $excerpttext = strip_tags($excerpt);
                        if( $show_images == "on" ) : echo $image; endif; ?>
                       	</div>
                        
                        <h2 class="post-title"><a href="<?php echo $link; ?>"><?php the_title(); ?></a></h2>
                        <?php if( $show_excerpts == "on" ) :
								echo '<p>';
									echo substr( $excerpttext, 0, $excerpt_length );
								echo '</p>';
                        	 if($posttype == "post") : ?>
								<p><a href="<?php echo $link; ?>" class="action-link"><?php _e('Continue Reading &rarr;','obox'); ?></a></p>
							<?php endif;
							endif;?>
                    </li>				
                <?php endwhile; ?>
            </ul>
<?php
    }

    /** @see WP_Widget::update */
    function update($new_instance, $old_instance) {
        return $new_instance;
    }

    /** @see WP_Widget::form */
    function form($instance) {
		$defaults = array( 'post_category' => '', 'post_count' => '', 'show_images' => '', 'show_excerpts' => '', 'show_dates' => '', 'excerpt_length' => '80'); 
        $instance = wp_parse_args( (array) $instance, $defaults );
		
		if(isset($instance["posttype"]))
			$posttype = $instance["posttype"];
		if(isset($instance["post_count"]))
			$post_count = $instance["post_count"];
		if(isset($instance["post_category"]))
			$use_category = $instance["post_category"];
		if(isset($instance["portfolio_category"]))
		    $portfolio_category = $instance["portfolio_category"];
		if(isset($instance["show_images"]))    
			$show_images = $instance["show_images"];
		if(isset($instance["show_excerpts"]))
			$show_excerpts = $instance["show_excerpts"];
		if(isset($instance["excerpt_length"]))
			$excerpt_length = $instance["excerpt_length"];
		if(isset($instance["show_dates"]))
			$show_dates = $instance["show_dates"]; 
		if(isset($instance["post_thumb"]))
			$post_thumb = $instance["post_thumb"];
?>
	
	 <p><label for="<?php echo $this->get_field_id('posttype'); ?>">Display</label>
       <select size="1" class="widefat" id="<?php echo $this->get_field_id("posttype"); ?>" name="<?php echo $this->get_field_name("posttype"); ?>">
            <option <?php if($posttype != "portfolio"){echo "selected=\"selected\"";} ?> value="post">Blog Posts</option>
            <option <?php if($posttype == "portfolio"){echo "selected=\"selected\"";} ?> value="portfolio">Portfolio</option>
        </select>
    </p>
	
	<?php if($posttype != "portfolio") : ?>
        <p><label for="<?php echo $this->get_field_id('post_category'); ?>">Posts Category</label>
           <select size="1" class="widefat" id="<?php echo $this->get_field_id("post_category"); ?>" name="<?php echo $this->get_field_name("post_category"); ?>">
                <option <?php if($post_count == 0){echo "selected=\"selected\"";} ?> value="0">All</option>
                <?php
                        $category_args = array('hide_empty' => false);
                        $option_loop = get_categories($category_args);
                        foreach($option_loop as $option_label => $value)
                            { 	
                                // Set the $value and $label for the options
                                $use_value =  $value->slug;
                                $label =  $value->cat_name;
                                //If this option == the value we set above, select it
                                if($use_value == $instance["post_category"])
                                    {$selected = " selected='selected' ";}
                                else
                                    {$selected = " ";}
                ?>
                                <option <?php echo $selected; ?> value="<?php echo $use_value; ?>"><?php echo $label; ?></option>
                <?php 
                            }
                ?>
            </select>
        </p>
    <?php else : ?>
        <p><label for="<?php echo $this->get_field_id('portfolio_category'); ?>">Portfolio Category</label>
           <select size="1" class="widefat" id="<?php echo $this->get_field_id("portfolio_category"); ?>" name="<?php echo $this->get_field_name("portfolio_category"); ?>">
                <option <?php if($post_count == 0){echo "selected=\"selected\"";} ?> value="0">All</option>
                <?php
                        $cat_list = get_terms("portfolio-category", "orderby=count&hide_empty=0");
                        foreach($cat_list as $option_label => $value)
                            { 	
                                // Set the $value and $label for the options
                                $use_value =  $value->slug;
                                $label =  $value->name;
                                //If this option == the value we set above, select it
                                if($use_value == $instance["portfolio_category"])
                                    {$selected = " selected='selected' ";}
                                else
                                    {$selected = " ";}
                ?>
                                <option <?php echo $selected; ?> value="<?php echo $use_value; ?>"><?php echo $label; ?></option>
                <?php 
                            }
                ?>
            </select>
        </p>
    <?php endif; ?>

    <p>
        <label for="<?php echo $this->get_field_id('post_count'); ?>">Post Count</label>
        <select size="1" class="widefat" id="<?php echo $this->get_field_id('comment_count'); ?>" name="<?php echo $this->get_field_name('post_count'); ?>">
            <?php $i = 4;
			while($i < 16) :?>
				<option <?php if($post_count == $i) : ?>selected="selected"<?php endif; ?> value="<?php echo $i; ?>"><?php echo $i; ?></option>
			<?php if($i < 4) :
					$i++;
				else: 
					$i=($i+4);
				endif;
			endwhile; ?>
        </select>
    </p>
    <p>
        <label for="<?php echo $this->get_field_id('post_thumb'); ?>">Thumbnails</label>
        <select size="1" class="widefat" id="<?php echo $this->get_field_id('post_thumb'); ?>" name="<?php echo $this->get_field_name('post_thumb'); ?>">
				<option <?php if($post_thumb == "true") : ?>selected="selected"<?php endif; ?> value="true">Post Feature Image</option>
				<option <?php if($post_thumb == "false") : ?>selected="selected"<?php endif; ?> value="false">Videos</option>
        </select>
    </p>
    <p>
        <label for="<?php echo $this->get_field_id('show_images'); ?>">
            <input type="checkbox" <?php if($show_images == "on") : ?>checked="checked"<?php endif; ?> id="<?php echo $this->get_field_id('show_images'); ?>" name="<?php echo $this->get_field_name('show_images'); ?>">
            Show Images / Videos
        </label>
    </p>
    
    <p>
        <label for="<?php echo $this->get_field_id('show_excerpts'); ?>">
        	<input type="checkbox" <?php if($show_excerpts == "on") : ?>checked="checked"<?php endif; ?> id="<?php echo $this->get_field_id('show_excerpts'); ?>" name="<?php echo $this->get_field_name('show_excerpts'); ?>">
			Show Excerpts
        </label>
	</p>
	
    <p><label for="<?php echo $this->get_field_id('excerpt_length'); ?>">Content Length (Character Amount)<input class="shortfat" id="<?php echo $this->get_field_id('excerpt_length'); ?>" name="<?php echo $this->get_field_name('excerpt_length'); ?>" type="text" value="<?php echo $excerpt_length; ?>" /><br /></label></p>
	

<?php 
	} // form

}// class

//This sample widget can then be registered in the widgets_init hook:

// register FooWidget widget
add_action('widgets_init', create_function('', 'return register_widget("ocmx_recent_posts_widget");'));

?>