<?php
class feature_posts_widget extends WP_Widget {
    /** constructor */
    function feature_posts_widget() {
        parent::WP_Widget( false, $name = __("(Obox) Slider","ocmx"), array( "description" => __("Display fading posts and images from a speficic category","ocmx") ) );	
    }

    /** @see WP_Widget::widget */
    function widget( $args, $instance ) {		
        extract( $args );
		if(isset($instance["posttype"]))
			$posttype = esc_attr($instance["posttype"]); 
        if(isset($instance["postfilter"]))
        	$postfilter = esc_attr($instance["postfilter"]); 
        $filterval = esc_attr($instance[$postfilter]); 
		if(isset($instance["post_category"]))
			$use_category = $instance["post_category"];
		if(isset($instance["display_limit"]))
			$display_limit = esc_attr($instance["display_limit"]);
		if(isset($instance["auto_interval"]))
			$auto_interval = $instance["auto_interval"];
		if(isset($instance["slider_dots"]))
			$slider_dots = $instance["slider_dots"];
		if(isset($instance["post_thumb"]))
			$post_thumb = esc_attr($instance["post_thumb"]);
		
		if(isset($post_thumb) && $post_thumb == "true") :
			$post_thumb = 1;
		else :
			$post_thumb = 0;		
		endif;
		if(isset($postfilter) && $postfilter != "" && $filterval != "0") :
			$args = array(
				"post_type" => $posttype,
				"posts_per_page" => $display_limit,
				"tax_query" => array(
					array(
						"taxonomy" => $postfilter,
						"field" => "slug",
						"terms" => $filterval
					)
				)		
			);
		else :
			$args = array(
				"post_type" => $posttype,
				"posts_per_page" => $display_limit,
			);
		endif;

		$ocmx_posts = new WP_Query($args);
		//Set the post Aguments and Query accordingly
		$count = 1; ?> 
          
  		<div class="slider clearfix">
			<ul class="gallery-container gallery-image">
   				<?php while ($ocmx_posts->have_posts()) : $ocmx_posts->the_post();
					global $post;
					$args  = array( 'postid' => $post->ID, 'width' => 940, 'height' => 420, 'hide_href' => true, 'imglink' => false, 'exclude_video' => $post_thumb, 'imgnocontainer' => true, 'resizer' => '940x420' );
					$image = get_obox_media( $args );
					if ($posttype == 'slider') : 
						$link = get_post_meta( $post->ID, 'slider_link', true ); 
					else: 
						$link = get_permalink( $post->ID ); 
					endif; ?>
				 	
                	<li>
                		<?php if($image !='') : ?>
							<div class="post-image fitvid"> 
	                    		<?php if($link =='') : ?>
	                    			<?php echo $image; ?>
	                    		<?php else : ?>
		                        	<a href="<?php echo $link; ?>">
			                        	<?php echo $image; ?>
		                            </a>
	                            <?php endif; ?>
	                        </div>
						<?php endif; ?>
					</li>
            <?php 
                $count++;
            endwhile; ?>
        </ul>
     
        <?php if( $auto_interval == '0' || $auto_interval == '' && $display_limit !=='1' ) : ?>
        	<a href="#" class="next"><?php _e('Next', 'ocmx'); ?></a>
        	<a href="#" class="previous">><?php _e('Previous', 'ocmx'); ?></a>
        <?php endif; ?>

		<?php if( $slider_dots == 2 && $display_limit !=='1') {  ?>	
			<div id="slider-dots" class="overlay">
				<?php for( $i=1; $i < $count; $i++ ) : ?>
	                <a href="#" rel="<?php echo ( $i-1 ); ?>"class="dot <?php if( $i == 1 ) : ?>dot-selected<?php endif; ?>"><?php echo $i; ?></a>
                <?php endfor; ?>
			</div>
        <?php } ?>		
        <?php $count=1;  ?>
        <div class="copy">
            <ul>
                <?php while ( $ocmx_posts->have_posts() ) : $ocmx_posts->the_post();
                    $this_post = get_post( $post->ID );
                    if ($posttype == 'slider') : 
						$link = get_post_meta( $post->ID, 'slider_link', true ); 
					else: 
						$link = get_permalink( $post->ID ); 
					endif; ?>
                <li <?php if ( $count != 1 ) : ?>class="no_display"<?php endif; ?>>
                    <h3 class="post-title">
                    	<?php if($link =='') : ?>
                			<?php the_title(); ?>
                		<?php else : ?>
                        	<a href="<?php echo $link; ?>">
	                        	<?php the_title(); ?>
                            </a>
                        <?php endif; ?>
                    </h3>
                    <?php the_excerpt(); ?>
                </li>
                <?php $count++;
                endwhile; ?>
            </ul>
        </div>
        <div id="slider-number-<?php echo $use_category; ?>" class="no_display">0</div>
		<div id="slider-auto-<?php echo $use_category; ?>" class="no_display"><?php echo $auto_interval; ?></div>
	</div>
    
<?php
    }

    /** @see WP_Widget::update */
    function update( $new_instance, $old_instance ) {
        return $new_instance;
    }

    /** @see WP_Widget::form */
    function form($instance) {
		$posttype = esc_attr($instance["posttype"]); 
        if(isset($instance["postfilter"]))
        	$postfilter = esc_attr($instance["postfilter"]); 
		if(isset($instance[$postfilter]))
	        $filterval = esc_attr($instance[$postfilter]); 
    	if(isset($instance["post_category"]))
			$post_category = esc_attr($instance["post_category"]);
		if(isset($instance["display_limit"])) 
			$display_limit = $instance["display_limit"];
		if(isset($instance["post_thumb"]))
			$post_thumb = esc_attr($instance["post_thumb"]);
		if(isset($instance["auto_interval"]))
			$auto_interval = $instance["auto_interval"];
		if(isset($instance["slider_dots"]))
			$slider_dots = $instance["slider_dots"];
		$post_type_args = array("public" => true, "exclude_from_search" => false, "show_ui" => true);
		$post_types = get_post_types( $post_type_args, "objects");
?>
		<p><em>Each time you select an item from a dropdown, press "Save" to load the next set of settings.</em></p>
		<p>
			<label for="<?php echo $this->get_field_id('posttype'); ?>">Display</label>
           	<select size="1" class="widefat" id="<?php echo $this->get_field_id("posttype"); ?>" name="<?php echo $this->get_field_name("posttype"); ?>">
           		<option <?php if($posttype == ""){echo "selected=\"selected\"";} ?> value="">--- Select a Content Type ---</option>
 				<?php foreach($post_types as $post_type => $details) : ?>
	                <option <?php if($posttype == $post_type){echo "selected=\"selected\"";} ?> value="<?php echo $post_type; ?>"><?php echo $details->labels->name; ?></option>
 				<?php endforeach; ?>
            </select>
        </p>

        <?php if($posttype != "") :
        	if($posttype != "page") : ?>
				<?php $taxonomyargs = array('post_type' => $posttype, "public" => true, "exclude_from_search" => false, "show_ui" => true); 
				$taxonomies = get_object_taxonomies($taxonomyargs,'objects');
				if(!empty($taxonomies)) : ?>
					<p>
						<label for="<?php echo $this->get_field_id('postfilter'); ?>">Filter by</label>
			           	<select size="1" class="widefat" id="<?php echo $this->get_field_id("postfilter"); ?>" name="<?php echo $this->get_field_name("postfilter"); ?>">
			           		<option <?php if(isset($postfilter) && $postfilter == ""){echo "selected=\"selected\"";} ?> value="">--- Select a Filter ---</option>
			 				<?php foreach($taxonomies as $taxonomy => $details) : ?>
				                <option <?php if(isset($postfilter) && $postfilter == $taxonomy){echo "selected=\"selected\"";} ?> value="<?php echo $taxonomy; ?>"><?php echo $details->labels->name; ?></option>
			 				<?php $validtaxes[] = $taxonomy;
			 				endforeach; ?>
			            </select>
			        </p>
		        <?php endif;
		        if(isset($postfilter) != "" && ( (is_array(isset($validtaxes)) && in_array($postfilter, $validtaxes)) || !is_array(isset($validtaxes)) ) ) :
					$tax = get_taxonomy($postfilter);
					$terms = get_terms($postfilter, "orderby=count&hide_empty=0"); ?>
					<p><label for="<?php echo $this->get_field_id($postfilter); ?>"><?php if(isset($tax->labels->name)) echo $tax->labels->name; ?></label>
			           <select size="1" class="widefat" id="<?php echo $this->get_field_id($postfilter); ?>" name="<?php echo $this->get_field_name($postfilter); ?>">
			                <option <?php if(isset($filterval) == 0){echo "selected=\"selected\"";} ?> value="0">All</option>
			                <?php foreach($terms as $term => $details) :?>
								<option  <?php if($filterval == $details->slug){echo "selected=\"selected\"";} ?> value="<?php echo $details->slug; ?>"><?php echo $details->name; ?></option>
			                <?php endforeach;?>
			            </select>
			        </p>
			    <?php endif; ?>
				
		    <?php endif; ?>
		  <?php endif; ?>   
		 
	    <p>
            <label for="<?php echo $this->get_field_id('post_thumb'); ?>">Thumbnails</label>
            <select size="1" class="widefat" id="<?php echo $this->get_field_id('post_thumb'); ?>" name="<?php echo $this->get_field_name('post_thumb'); ?>">
                    <option <?php if(isset($post_thumb) && $post_thumb == "true") : ?>selected="selected"<?php endif; ?> value="true">Post Feature Image</option>
                    <option <?php if(isset($post_thumb) && $post_thumb == "false") : ?>selected="selected"<?php endif; ?> value="false">Videos</option>
            </select>
   		 </p>	 
   		 <p><label for="<?php echo $this->get_field_id('display_limit'); ?>">Post Count</label>
            <select size="1" class="widefat" id="<?php echo $this->get_field_id('display_limit'); ?>" name="<?php echo $this->get_field_name('display_limit'); ?>">
                <?php for($i = 1; $i < 6; $i++) : ?>
                    <option <?php if($display_limit == $i) : ?>selected="selected"<?php endif; ?> value="<?php echo $i; ?>"><?php echo $i; ?></option>
                <?php endfor; ?>
            </select>
        </p>
		<p>
		        <label for="<?php echo $this->get_field_id('slider_dots'); ?>">Slider Dots Placement</label>
		        <select size="1" class="widefat" id="<?php echo $this->get_field_id('slider_dots'); ?>" name="<?php echo $this->get_field_name('slider_dots'); ?>">
						<option <?php if( $slider_dots == "1" ) : ?>selected="selected"<?php endif; ?> value="1">Hide Sider Dots</option>
						<option <?php if( $slider_dots == "2" ) : ?>selected="selected"<?php endif; ?> value="2">Show Slider Dots</option>
		        </select>
		</p>
		<p>
			<label for="<?php echo $this->get_field_id('auto_interval'); ?>">Auto Slide Interval (seconds)<input class="shortfat" id="<?php echo $this->get_field_id('auto_interval'); ?>" name="<?php echo $this->get_field_name('auto_interval'); ?>" type="text" value="<?php echo $auto_interval; ?>" /><br /><em>(Set to 0 for no auto-sliding)</em></label>
		</p>
<?php 
	} // form

}// class

//This sample widget can then be registered in the widgets_init hook:

// register FooWidget widget
add_action('widgets_init', create_function('', 'return register_widget("feature_posts_widget");'));

?>